package com.steering.mes.mcp.entity;

import java.io.Serializable;
/**
 * 数据库表HTT_HLSTRAIGHTEN_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author lenovo-PC   date 2018-06-05
 */
@SuppressWarnings("serial")
public class HttHlstraightenResultEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 热处理生产批次号
     */
    private String zyBatchId = "";
    /**
     * 热处理生产批次号序号
     */
    private String prodIndex = "";
    /**
     * 热处理订单编号
     */
    private String proPlanId = "";
    /**
     * 热处理订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 1辊压下量
     */
    private String rollNum1 = "";
    /**
     * 2辊压下量
     */
    private String rollNum2 = "";
    /**
     * 3辊压下量
     */
    private String rollNum3 = "";
    /**
     * 弯曲度
     */
    private String bendRate = "";
    /**
     * 矫直温度
     */
    private String lstraightenTemp = "";
    /**
     * 作业支数（有效生产数量）
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 下线支数
     */
    private String offlineNum = "";
    /**
     * 下线重量
     */
    private String offlineWt = "";
    /**
     * 返线支数
     */
    private String reNum = "";
    /**
     * 返线重量
     */
    private String reWt = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 开始时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 热处理次数
     */
    private String processSeq = "";
    /**
     * 挠度
     */
    private String deflection = "";
    /**
     * 角度
     */
    private String angle = "";
    /**
     * 结束时间
     */
    private String endTime = "";
    /**
     * 矫直前温度
     */
    private String preLstraightenTemp = "";
    /**
     * 矫直后温度
     */
    private String afterLstraightenTemp = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 热处理生产批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 热处理生产批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 热处理生产批次号序号
     * @return value
     */
    public String getProdIndex() {
        return prodIndex;
    }

    /**
     * 热处理生产批次号序号
     * @param prodIndex value
     */
    public void setProdIndex(String prodIndex) {
        this.prodIndex = prodIndex;
    }

    /**
     * 热处理订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 热处理订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 热处理订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 热处理订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 1辊压下量
     * @return value
     */
    public String getRollNum1() {
        return rollNum1;
    }

    /**
     * 1辊压下量
     * @param rollNum1 value
     */
    public void setRollNum1(String rollNum1) {
        this.rollNum1 = rollNum1;
    }

    /**
     * 2辊压下量
     * @return value
     */
    public String getRollNum2() {
        return rollNum2;
    }

    /**
     * 2辊压下量
     * @param rollNum2 value
     */
    public void setRollNum2(String rollNum2) {
        this.rollNum2 = rollNum2;
    }

    /**
     * 3辊压下量
     * @return value
     */
    public String getRollNum3() {
        return rollNum3;
    }

    /**
     * 3辊压下量
     * @param rollNum3 value
     */
    public void setRollNum3(String rollNum3) {
        this.rollNum3 = rollNum3;
    }

    /**
     * 弯曲度
     * @return value
     */
    public String getBendRate() {
        return bendRate;
    }

    /**
     * 弯曲度
     * @param bendRate value
     */
    public void setBendRate(String bendRate) {
        this.bendRate = bendRate;
    }

    /**
     * 矫直温度
     * @return value
     */
    public String getLstraightenTemp() {
        return lstraightenTemp;
    }

    /**
     * 矫直温度
     * @param lstraightenTemp value
     */
    public void setLstraightenTemp(String lstraightenTemp) {
        this.lstraightenTemp = lstraightenTemp;
    }

    /**
     * 作业支数（有效生产数量）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（有效生产数量）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 下线支数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 下线支数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 下线重量
     * @return value
     */
    public String getOfflineWt() {
        return offlineWt;
    }

    /**
     * 下线重量
     * @param offlineWt value
     */
    public void setOfflineWt(String offlineWt) {
        this.offlineWt = offlineWt;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getReNum() {
        return reNum;
    }

    /**
     * 返线支数
     * @param reNum value
     */
    public void setReNum(String reNum) {
        this.reNum = reNum;
    }

    /**
     * 返线重量
     * @return value
     */
    public String getReWt() {
        return reWt;
    }

    /**
     * 返线重量
     * @param reWt value
     */
    public void setReWt(String reWt) {
        this.reWt = reWt;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 开始时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 开始时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 热处理次数
     * @return value
     */
    public String getProcessSeq() {
        return processSeq;
    }

    /**
     * 热处理次数
     * @param processSeq value
     */
    public void setProcessSeq(String processSeq) {
        this.processSeq = processSeq;
    }

    /**
     * 挠度
     * @return value
     */
    public String getDeflection() {
        return deflection;
    }

    /**
     * 挠度
     * @param deflection value
     */
    public void setDeflection(String deflection) {
        this.deflection = deflection;
    }

    /**
     * 角度
     * @return value
     */
    public String getAngle() {
        return angle;
    }

    /**
     * 角度
     * @param angle value
     */
    public void setAngle(String angle) {
        this.angle = angle;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * 结束时间
     * @param endTime value
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 矫直前温度
     * @return value
     */
    public String getPreLstraightenTemp() {
        return preLstraightenTemp;
    }

    /**
     * 矫直前温度
     * @param preLstraightenTemp value
     */
    public void setPreLstraightenTemp(String preLstraightenTemp) {
        this.preLstraightenTemp = preLstraightenTemp;
    }

    /**
     * 矫直后温度
     * @return value
     */
    public String getAfterLstraightenTemp() {
        return afterLstraightenTemp;
    }

    /**
     * 矫直后温度
     * @param afterLstraightenTemp value
     */
    public void setAfterLstraightenTemp(String afterLstraightenTemp) {
        this.afterLstraightenTemp = afterLstraightenTemp;
    }
}